# Sample Makefile for TET's Perl binding
# $Id: Makefile.sample,v 1.9.2.1 2010/07/27 13:45:31 rjs Exp $


PERLBIN = perl

all: test

test::
	$(PERLBIN) dumper.pl FontReporter.pdf
	$(PERLBIN) extractor.pl FontReporter.pdf FontReporter
	$(PERLBIN) fontfilter.pl FontReporter.pdf
	$(PERLBIN) glyphinfo.pl FontReporter.pdf FontReporter.info.txt
	$(PERLBIN) image_resources.pl FontReporter.pdf
	$(PERLBIN) tetml.pl FontReporter.pdf FontReporter.tetml

clean::
	$(RM) FontReporter.pdf dumper.txt FontReporter.txt fontfilter.txt
	$(RM) FontReporter.tetml FontReporter*.tif attachments.txt
	$(RM) FontReporter.info.txt
